Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(116)

Issue 2804823002: Revamp the Incognito NTP on Desktop (Closed)

Created:
10 months, 3 weeks ago by msramek
Modified:
10 months ago
CC:
chromium-reviews, dbeam+watch-ntp_chromium.org, ntp-dev+reviews_chromium.org, noyau+watch_chromium.org, arv+watch_chromium.org, asvitkine+watch_chromium.org, pedrosimonetti+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Revamp the Incognito NTP on Desktop Changes in this CL: 1. Added an about:flag for the "MD Incognito NTP". (Note that the primary purpose of this change is to improve the text on the Incognito NTP, not just to materialize it; but the latter results in a shorter flag name and thematically fits with the other recent MD improvements). 2. Since almost none of the old CSS is valid for the new MD, and since there are also related HTML changes, we use separate HTML and CSS files. NTPResourceCache decides which one to serve according to the flag. Once this fully launches, we will simply remove the previous implementation. 3. The new design follows the CSS rules described in https://gallery.googleplex.com/projects/MCHbtQVoQ2HCZeKud1YOmPiI. The requirement that the two sets of bulletpoints determine the width of the content box has been achieved by JS (the CSS is complicated enough as it is :-( ). Tested with the bookmark bar on/off, with a custom theme on/off, and in front of a UX designer :) BUG=693525 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2804823002 Cr-Commit-Position: refs/heads/master@{#466817} Committed: https://chromium.googlesource.com/chromium/src/+/a8443118aa963ba364ee9687b82d1d9c7eb26af5

Patch Set 1 #

Total comments: 23

Patch Set 2 : Addressed comments. #

Patch Set 3 : Rebase, fix merge conflict by moving the flag to its alphabetical position #

Patch Set 4 : Font sizes #

Total comments: 3

Patch Set 5 : Rebase. #

Patch Set 6 : Rebase and updates #

Patch Set 7 : Fixed histograms.xml #

Total comments: 12

Patch Set 8 : Addressed comments. #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+443 lines, -10 lines) Patch
M chrome/browser/about_flags.cc View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/browser/browser_resources.grd View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/flag_descriptions.h View 1 2 3 4 5 1 chunk +9 lines, -0 lines 0 comments Download
M chrome/browser/flag_descriptions.cc View 1 2 3 4 5 1 chunk +9 lines, -0 lines 0 comments Download
A chrome/browser/resources/ntp4/md_incognito_tab.css View 1 2 3 4 5 6 7 1 chunk +303 lines, -0 lines 1 comment Download
A chrome/browser/resources/ntp4/md_incognito_tab.html View 1 2 3 4 5 6 7 1 chunk +40 lines, -0 lines 0 comments Download
A chrome/browser/resources/ntp4/md_incognito_tab.js View 1 2 3 4 5 6 7 1 chunk +40 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/ntp/ntp_resource_cache.cc View 1 2 3 4 5 6 7 5 chunks +29 lines, -10 lines 0 comments Download
M chrome/common/chrome_features.h View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/common/chrome_features.cc View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 6 2 chunks +2 lines, -0 lines 0 comments Download

Messages

Total messages: 62 (47 generated)
msramek
Hi Evan! Please have a look! This is a super complicated stylesheet, but when you ...
10 months, 3 weeks ago (2017-04-05 19:23:59 UTC) #3
Evan Stade
sorry I didn't notice this review in a timely manner. I'm punting it to dbeam ...
10 months, 3 weeks ago (2017-04-07 02:24:39 UTC) #5
Dan Beam (no longer on Chrome)
Sorry for lag, will get to this Monday my time
10 months, 2 weeks ago (2017-04-10 05:36:54 UTC) #8
Dan Beam (no longer on Chrome)
https://codereview.chromium.org/2804823002/diff/1/chrome/browser/about_flags.cc File chrome/browser/about_flags.cc (right): https://codereview.chromium.org/2804823002/diff/1/chrome/browser/about_flags.cc#newcode2503 chrome/browser/about_flags.cc:2503: SINGLE_VALUE_TYPE(switches::kEnableMaterialDesignIncognitoNTP)}, can we use a feature instead of a ...
10 months, 2 weeks ago (2017-04-11 00:31:13 UTC) #9
msramek
Thanks, Dan! PTAL :) I addressed all your comments except the relative font sizes. I'll ...
10 months, 2 weeks ago (2017-04-11 19:04:27 UTC) #10
msramek
https://codereview.chromium.org/2804823002/diff/1/chrome/browser/resources/ntp4/md_incognito_tab.css File chrome/browser/resources/ntp4/md_incognito_tab.css (right): https://codereview.chromium.org/2804823002/diff/1/chrome/browser/resources/ntp4/md_incognito_tab.css#newcode22 chrome/browser/resources/ntp4/md_incognito_tab.css:22: font-size: 14px; On 2017/04/11 19:04:26, msramek wrote: > On ...
10 months, 2 weeks ago (2017-04-12 14:50:26 UTC) #21
msramek
Hi again Dan! We did another round with maxwalker@, tested screen sizes again, default font ...
10 months, 1 week ago (2017-04-20 13:51:35 UTC) #30
Dan Beam (no longer on Chrome)
lgtm https://codereview.chromium.org/2804823002/diff/60001/chrome/browser/about_flags.cc File chrome/browser/about_flags.cc (right): https://codereview.chromium.org/2804823002/diff/60001/chrome/browser/about_flags.cc#newcode1978 chrome/browser/about_flags.cc:1978: {"enable-md-incognito-ntp", fwiw: the new tab page is already ...
10 months, 1 week ago (2017-04-20 18:27:52 UTC) #37
msramek
Thanks, Dan! I addressed your remaining comments and fixed one more bug that I spotted ...
10 months ago (2017-04-21 12:20:36 UTC) #49
msramek
+Jesse, can you please have a quick look at histograms.xml? I'm just adding a new ...
10 months ago (2017-04-21 12:23:38 UTC) #51
msramek
Jesse, friendly ping! It's a tiny change in histograms.xml, and I'd like to get it ...
10 months ago (2017-04-24 08:39:09 UTC) #54
jwd
lgtm
10 months ago (2017-04-24 21:24:44 UTC) #55
msramek
Thanks!
10 months ago (2017-04-24 21:45:59 UTC) #56
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2804823002/110012
10 months ago (2017-04-24 21:47:04 UTC) #59
commit-bot: I haz the power
10 months ago (2017-04-24 23:21:01 UTC) #62
Message was sent while issue was closed.
Committed patchset #8 (id:110012) as
https://chromium.googlesource.com/chromium/src/+/a8443118aa963ba364ee9687b82d...

Powered by Google App Engine
This is Rietveld 408576698